2010-04-07  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile (DISTFILES): Remove gensources.sh.
	* gensources.sh: Remove.

2010-04-03  Ankit Jain  <jankit@novell.com>

	* Makefile: Move xbuild from net_4_0_dirs to per_profile_dirs.

2010-03-16  Jb Evain  <jbevain@novell.com>

	* Makefile: rename the net_2_1 profile to moonlight.

2010-03-15  Andrew Jorgensen  <ajorgensen@novell.com>

	* Makefile: Add DIST_SUBDIRS with SUBDIRS and net_4_0_dirs so that all
	that stuff gets dist'd

2010-03-03  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* gensources.sh: Reverted to plain bash, cygwin/make seems to end up confused
	with path separators with the managed version.

2010-03-03  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* gensources.sh: Fix windows path separator characters.

2010-03-02  Rodrigo Kumpera  <rkumpera@novell.com>

	* Makefile: Fix mdoc build.

2010-03-02  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* gensources.sh: Converted to C# for a 15-100x speedup.

2010-02-18  Marek Habersack  <mhabersack@novell.com>

	* Makefile (net_2_0_dirs): added mono-configuration-crypto

2010-01-12  Jonathan Pryor  <jpryor@novell.com>

	* Makefile: monodoc should only be built under the 2.0 profile.

2009-11-26  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Don't build csharplib.

2009-11-13  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Always install only 2.0 version of security and gacutil.

2009-10-14  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile (per_profile_dirs): New.  List of subdirs that build
	per-profile tools.
	(net_2_0_dirs, net_4_0_dirs): Use it.

2009-07-02  Jb Evain  <jbevain@novell.com>

	* Makefile: build the linker and the tuner in the net_2_0 profile.

2009-04-23  Jb Evain  <jbevain@novell.com>

	* Makefile: add pdb2mdb to the build.

2009-04-23  Jb Evain  <jbevain@novell.com>

	* Makefile: disable moon. Tuning is done by moonlight, which
	will populate back the mcs tree with tuned assemblies for tests.

2009-03-16  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: switch this too.

2009-03-12  Jonathan Pryor  <jpryor@novell.com>

	* Makefile: Add sqlmetal to the build.

2009-03-10  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: add svcutil to the build.

2008-12-01  Jb Evain  <jbevain@novell.com>

	* Makefile: build the tuner library during the net_1_1 profile. The
	tuning of the net_2_1 assemblies now takes place in moon.

2008-11-21  Jb Evain  <jbevain@novell.com>

	* Makefile: build corcompare only during net_2_0 now.

2008-10-17  Jonathan Pryor  <jpryor@novell.com>

	* Makefile: Add mod to the build.

2008-10-17  Jonathan Pryor  <jpryor@novell.com>

	* Makefile: Add mdoc, monodoc to the build.

2008-10-17  Jonathan Pryor  <jpryor@novell.com>

	* Makefile: Add doc-update target support.

2008-10-17  Jb Evain  <jbevain@novell.com>

	* Makefile: clean the Makefile, following the pattern in ../class,
	to make it easier to add tools.

2008-10-16  Jonathan Pryor <jpryor@novell.com>

	* Makefile (DIST_ONLY_SUBDIRS): Add mono-shlib-cop; fixes the build.

2008-10-16  Jonathan Pryor <jpryor@novell.com>

	* Makefile (SUBDIRS, net_2_0_SUBDIRS): Move mono-shlib-cop to 
	  net_2_0_SUBDIRS so that it can use Mono.Options...

2008-10-09  Zoltan Varga  <vargaz@gmail.com>

	* Makefile (DIST_ONLY_SUBDIRS): Add csharplib.

2008-10-09 Daniel Nauck <dna@mono-project.de>

        * Makefile: add Mono.CSharp to the build

2008-10-01  Jb Evain  <jbevain@novell.com>

	* Makefile: add cil-strip to the build.

2008-09-21  Miguel de Icaza  <miguel@novell.com>

	* csharplib/Makefile: Add a setup to build GMCS as a GAC assembly
	called `csharplib' with only the public classes that we want
	exposed: Mono.CSharp.Evaluator, Mono.CSharp.InteractiveBase and
	Mono.CSharp.InteractiveBase+Simple

2008-09-10  Miguel de Icaza  <miguel@novell.com>

	* Makefile (thisdir): Add csharp here.

2008-08-28  Zoltan Varga  <vargaz@gmail.com>

	* Makefile (net_2_0_SUBDIRS): Add gacutil.

2008-08-27  Daniel Morgan <monodanmorg@yahoo.com>

	* Makefile: move sqlsharp from SUBDIRS to net_2_0_SUBDIRS
        so sqlsharp can build using gmcs and the NET_2_0 profile.

	See ChangeLog in sqlsharp.

2008-03-12  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : add mono-xsd to net_2_0_SUBDIRS to build xsd2.

2008-02-17  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile (net_2_1_raw_SUBDIRS): New.

2007-11-28  Raja R Harinath  <harinath@gmail.com>

	* Makefile (net_2_1_SUBDIRS): Add 'compiler-tester'.

2007-10-19  Marek Habersack  <mhabersack@novell.com>

	* Makefile: fix the buildbot build - mconfig should be
	listed also in DIST_ONLY_SUBDIRS

2007-10-19  Marek Habersack  <mhabersack@novell.com>

	* Makefile (net_2_0_SUBDIRS): added mconfig to the build

2007-09-10  Wade Berrier  <wberrier@novell.com>

	* removecomments.sh: use `` instead of $() since it works on
	solaris' shell
	* gensources.sh: use /usr/bin/env for bash specific code

	* Makefile: include removecomments.sh in dist file

2007-09-04  Wade Berrier  <wberrier@novell.com>

	* removecomments.sh: New script to aid 'make dist'
	Removes '#' comments (specifically for .sources files)
	Had to put in a separate script because alterint IFS to
	contain a newline doesn't work inside make

	* Makefile: include gensources.sh, the 2_1 profile needs it.
	(Should also make it possible to build the jvm profile from a tarball)

2007-07-27  Jb Evain  <jbevain@novell.com>

	* Makefile: integrate the tuner in the build.

2007-07-17  Jb Evain  <jbevain@novell.com>

	* Makefile: integrate the linker in the build.

2007-04-18  Marek Habersack  <mhabersack@novell.com>

	* culevel/CompileUplevel.cs: fix two dumb mistakes that prevented
	correct detection of some browsers.

2007-04-18  Marek Habersack  <grendello@gmail.com>

	* Makefile (net_1_1_bootstrap_SUBDIRS): added culevel

	* culevel/Makefile (all-local): build the binary only in the 1.1
	bootstrap phase.
	(LOCAL_MCS_FLAGS): removed -pkg:dotnet

2007-04-17  Marek Habersack  <mhabersack@novell.com>

	* culevel/culevel.exe.sources: added

	* culevel/Makefile (thisdir): added

	* culevel/CompileUplevel.cs: added

	* Makefile (thisdir): added the culevel subdirectory to the list.

2007-03-09  Marek Habersack  <mhabersack@novell.com>

	* Makefile: Added the installvst utility.

2007-01-28  Wade Berrier  <wberrier@novell.com>

	* Makefile: Added security to net_2_0_SUBDIRS (so httpcfg.exe
	gets installed)

2007-01-12  Gert Driesen  <drieseng@users.sourceforge.net>

	* Makefile: Added al to net_2_0_SUBDIRS.

2006-11-14  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: added sgen to DIST_ONLY_SUBDIRS.

2006-11-14  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: added sgen to net_2_0_SUBDIRS.

2006-10-01  Robert Jordan  <robertj@gmx.net>

	* Makefile (net_2_0_SUBDIRS): Add 'mkbundle'.

2006-08-30  Robert Jordan  <robertj@gmx.net>

	* Makefile (net_2_0_SUBDIRS): Add 'mono-service'.

2006-04-11  Gert Driesen  <gert.driesen@telenet.be>
	    Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_1_1_bootstrap_SUBDIRS): Add 'resgen'.
	(net_2_0_bootstrap_SUBDIRS, net_2_0_SUBDIRS): Likewise.

2006-01-30  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : added mono-xmltool.

2005-12-12  Raja R Harinath  <rharinath@novell.com>

	* Makefile (DIST_ONLY_SUBDIRS): Add 'xbuild'.

2005-11-15 Vlad Spivak <spivak@mainsoft.com>
	* gensources.sh updated to handle comments (##)

2005-07-09 Kamil Skalski <nazgul@nemerle.org>

	* Makefile: Include monop in net_2_0 build (for monop2)

2005-06-06  Ben Maurer  <bmaurer@ximian.com>

	* Makefile: Depreciate mono-rpm-helpers

2005-06-06  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_2_0_SUBDIRS): Add 'compiler-tester'.

2005-06-06  Marek Safar  <marek.safar@seznam.cz>

	* Makefile: Added compiler-tester.

2005-05-31  Joanthan Pryor  <jonpryor@vt.edu>

	* Makefile (SUBDIRS): Add mono-shlib-cop to the build.

2005-05-06  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_2_0_SUBDIRS): Add 'corcompare'.

2005-03-14  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_1_1_bootstrap_SUBDIRS): Add 'gacutil'.

2005-03-09  Ben Maurer  <bmaurer@ximian.com>

	* monogrind.pl: Renamed valgrind-monofunc.pl to this, per
	Nat. Updated with Nat's fixes.

2005-03-08  Ben Maurer  <bmaurer@ximian.com>

	* valgrind-monofunc.pl: Add this wonderful script from Nat.

2005-02-12  Cesar Lopez Nataren  <cnataren@novell.com>

	* Makefile: added mjs

2005-01-31  Geoff Norton  <gnorton@customerdna.com>

	* Makefile: added macpack

2004-12-10  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : added dtd2xsd.

2004-12-07  Raja R Harinath  <rharinath@novell.com>

	* Makefile (run-test-ondotnet-local, uninstall-local): New.

2004-11-22  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_1_1_bootstrap_SUBDIRS): Add 'security' directory.

2004-10-29  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_2_0_SUBDIRS): New.  Only build 'wsdl' in the
	net_2_0 profile.

2004-06-11  Raja R Harinath  <rharinath@novell.com>

	* Makefile (PROGRAM_INSTALL_DIR): New define.
	(install-local, uninstall-local): Use it.

2004-05-27  Duncan Mak  <duncan@ximian.com>

	* Makefile (Module): Add mono-rpm-helpers

2004-04-28  Jackson Harper  <jackson@ximian.com>

	* Makefile: Add gacutil to the build
	
2004-01-15  Zoltan Varga  <vargaz@freemail.hu>

	* Makefile: Added al directory.

2003-12-16  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* Makefile: added browsercaps-updater directory.

2003-12-03  Lluis Sanchez Gual  <lluis@ximian.com>

	* Makefile: Added soapsuds to build.

2003-10-21  Lluis Sanchez Gual  <lluis@ximian.com>

	* Makefile: Added disco directory.

2003-09-28  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* Makefile: added SqlSharp to the build.

2003-09-17  Lluis Sanchez Gual  <lluis@ximian.com>

	* Makefile: Added genxs directory.

2003-08-28  Lluis Sanchez Gual  <lluis@ximian.com>

	* Makefile: Added wsdl directory.

2003-07-16  Peter Williams  <peter@newton.cx>

	* Makefile (DIST_ONLY_SUBDIRS): Don't build SqlSharp, it's
	very old and doesn't build on Windows.

2003-05-01  Duncan Mak  <duncan@ximian.com>

	* makefile:
	* makefile.gnu: Add 'cilc' to the build.
	
2003-03-14  Daniel Morgan  <danmorg@sc.rr.com>

	* mono-win32-setup.nsi: added NSIS 
	(NullSoft Installer System) script file for building
	a Mono release for Windows NT/2000/XP

2003-03-08  Sebastien Pouliot  <spouliot@videotron.ca>

	* ASN1.cs: Removed - now part of Mono.Security assembly
	* cert2spc.cs: Moved to /mcs/tools/security
	* makefile: Removed cert2spc and secutil tools and added reference
	to makefile inside security directory.
	* makefile.gnu: Same.
	* secutil.cs: Moved to /mcs/tools/security

2003/01/20 Nick Drochak <ndrochak@gol.com>

	* makefile: take out type-reflector since it's gone.

2003-01-18  Sebastien Pouliot  <spouliot@videotron.ca>

	* makefile, makefile.gnu: Renamed Cert2Spc.exe to cert2spc.exe.

2003-01-09  Gaurav Vaish <gvaish_mono AT lycos.com>

	* assemblies.xml     : Needed for Mobile controls enumerations.

2002-12-31  Jonathan Pryor <jonpryor@vt.edu>

  * makefile.gnu: Add support for DIRS to all, install targets.  This was done
    so type-reflector's install target could be independent/self-contained.

2002-12-27  Sebastien Pouliot  <spouliot@videotron.ca>

	* ASN1.cs: New. Classes to manipulate Abstract Syntax Notation 1
	structures.
	* cert2spc.cs: New tool to generate Software Publisher Certificate
	(SPC) from a list of X509 certificate and CRL.
	* secutils.cs: Changed copyright notice.
	* makefile: Added cert2spc.exe to Windows build.
	* makefile.gnu: Added cert2spc.exe to Linux build.

2002-12-22  Sebastien Pouliot  <spouliot@videotron.ca>

	* secutils.cs: New tool to extract strongname and X509 certificate
	from assembly (or other signed files).
	* makefile: Added secutil.exe to Windows build.
	* makefile.gnu: Added secutil.exe to Linux build.

2002-12-06  Duncan Mak  <duncan@ximian.com>

	* makefile.gnu (clean): Remove *.dbg files.

2002-10-16  Daniel Morgan <danmorg@sc.rr.com>

	* SqlSharpCli.cs: SQL query tool moved 
	from mcs/class/System.Data/Test
	to mcs/tools/SqlSharp.  Include it in the build
	so people can have a place to test connection strings
	and the ADO.NET providers

2002-09-01  Jonathan Pryor <jonpryor@vt.edu>
	* type-reflector: new tool.  See type-reflector/README for more information.

2002-03-09  Martin Baulig  <martin@gnome.org>

	* DumpCultureInfo.cs: New tool to dump culture info. Incomplete,
	we need to get unicode support working before we can use this.

2002-03-05  Gaurav Vaish <gvaish@iitk.ac.in>

	* GenerateDelegate.cs: Generates delegates (EventHandler) as
	  specified. The output is quite simple, a delegate that has
	  the prototype as -->
	  public delegate void <given-name>EventHandler(object sender,
	     <given-name>EventArgs e)

2002-03-01  Martin Baulig  <martin@gnome.org>

	* scan-tests.pl: Catch exceptions when running the tests so that we
	always run all the tests in a test suite even if some of them fail.

2002-02-27  Martin Baulig  <martin@gnome.org>

	* scan-tests.pl: Moved this script here from ../class/corlib/Test.

2002-02-22  Nick Drochak  <ndrochak@gol.com>

	* makefile: move corcompare to it's own directory to hold multiple
	class files.  still makes old corcompare for now.  will remove that
	soon.

2002-02-18  Duncan Mak  <duncan@ximian.com>

	* serialize.cs: When appropriate, changed Type.GetType calls to
	the faster typeof operator.

2002-02-19  Nick Drochak  <ndrochak@gol.com>

	* corcompare.cs: Reorganized into collaberating classes to analyze
	and generate reports.  Still needs to find the MonoTODO's, and
	has a little more prototype code in there, but it's almost done.

	* makefile: output XML file in the tools directory for now.

2002-02-15  Nick Drochak  <ndrochak@gol.com>

	* corcompare.cs: Adding stuff to collect all the missing and todo
	information need to generate nice looking HTML pages.  Not quite 
	done and needs some re-org, but Duncan can take a look.

	* sample.xml: an example of how the XML will look that corcompare
	will generate.  Can be used to start working on the XSLT.

2002-02-13  Nick Drochak  <ndrochak@gol.com>

	* makefile: 'clean' target now removes file generated by CorCompare

2002-02-03  Duncan Mak  <duncan@ximian.com>

	* serialize.cs: Added namespace block.

2002-02-01  Duncan Mak  <duncan@ximian.com>

	* serialize.cs: Added a new tool for serializing objects. It
	can create new types dynamically, but can only handle
	arguments that are of primitive types.

2002-01-26  Gaurav Vaish <gvaish@iitk.ac.in>

	* EnumCheckAssemblyCollection.cs,
	* assemblies.xml:  Files related to EnumCheck checked-in. Now EnumCheck does
	                   not have any path hardcoded. It takes the assemblies to
	                   search from a xml files, which by default is assemblies.xml

2002-01-25  Nick Drochak  <ndrochak@gol.com>

	* .cvsignore: ignore .dll files now since we build NUnitCore.dll ourselves

2002-01-18  Duncan Mak  <duncan@ximian.com>

	* EnumCheck.cs: A checkin for Miguel to make EnumCheck not hardcode
	path to corlib.dll.

2002-01-19  Nick Drochak  <ndrochak@gol.com>

	* makefile: corcompare works again now, so make xml of missing types
	* CorCompare.cs: use exception that .NET v1 throws to get types in mono corlib

2002-01-18  Nick Drochak  <ndrochak@gol.com>

	* makefile: remove path to beta2 csc.exe.  path to csc.exe must be in PATH instead.
	don't generate xml from corcompare for now.  it throws an error on v1.0 of .NET

2002-01-17  Nick Drochak  <ndrochak@gol.com>

	* IFaceDisco.cs, XMLUtil.cs: Added new files for interface discovery tool.
	* makefile: added target for IFaceDisco.exe and added to clean target for same

2002-01-08  John Barnette <jbarn@httcb.net>

	* Removed todo.cs and related makefile data.



2002-01-07  John Barnette <jbarn@httcb.net>

	

	* makefile: added todo target, fixed EnumCheck target, simplified clean

	
	* todo.cs: new file.  generates todo list XML and compares assemblies



2002-01-07  Gaurav Vaish <gvaish@iitk.ac.in>

	* EnumCheck.cs:  Get the numerical values of an enumeration.

2002-01-06  Nick Drochak  <ndrochak@gol.com>

	* corcompare.cs: Catch the FileNotFoundException and handle it nicely.

2002-01-05  Nick Drochak  <ndrochak@gol.com>

	* makefile: build corcompare
	* corcompare.cs: add new file.  compares an assembly with mscorlib
